<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates package &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="scripts.multiple_candidates.scripts_select package" href="scripts.multiple_candidates.scripts_select.html" />
    <link rel="prev" title="scripts.multiple_candidates.scripts_ana.b_find_shared_particles package" href="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="lib.html">lib package</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="scripts.html">scripts.multiple_candidates package</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="scripts.html#multiple-candidates">Multiple candidates</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.html#subpackages">Subpackages</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="scripts.html#scripts">Scripts</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.html">scripts.multiple_candidates.scripts_ana package</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.html">scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates package</a></li>
<li class="toctree-l4"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.html">scripts.multiple_candidates.scripts_ana.b_find_shared_particles package</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates package</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.html">scripts.multiple_candidates.scripts_select package</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="scripts.html">scripts.multiple_candidates package</a> &raquo;</li>
          <li><a href="scripts.multiple_candidates.scripts_ana.html">scripts.multiple_candidates.scripts_ana package</a> &raquo;</li>
      <li>scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <div class="section" id="scripts-multiple-candidates-scripts-ana-c-compare-multiple-candidates-package">
<h1>scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates package<a class="headerlink" href="#scripts-multiple-candidates-scripts-ana-c-compare-multiple-candidates-package" title="Permalink to this heading"></a></h1>
<div class="section" id="module-scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config">
<span id="scripts-multiple-candidates-scripts-ana-c-compare-multiple-candidates-config-module"></span><h2>scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config module<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config" title="Permalink to this heading"></a></h2>
<p>Configuration of the script <cite>3_compare_multiple_candidates/run.py</cite>.</p>
<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.DICT_SAMPLE_COLORS">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.</span></span><span class="sig-name descname"><span class="pre">DICT_SAMPLE_COLORS</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{'MC_B02Dstarl':</span> <span class="pre">'green',</span> <span class="pre">'MC_B02Dstarl_Cocktail':</span> <span class="pre">'red',</span> <span class="pre">'MC_B02Dstarl_DoubleCharm':</span> <span class="pre">'gold',</span> <span class="pre">'MC_B02Dstarl_HigherCocktail':</span> <span class="pre">'magenta',</span> <span class="pre">'MC_B02Dstarl_Tau':</span> <span class="pre">'lawngreen',</span> <span class="pre">'MC_Bplus2Dstarl_Cocktail':</span> <span class="pre">'darkorange',</span> <span class="pre">'MC_Bplus2Dstarl_DoubleCharm':</span> <span class="pre">'darkgoldenrod',</span> <span class="pre">'MC_Bplus2Dstarl_HigherCocktail':</span> <span class="pre">'darkviolet',</span> <span class="pre">'MC_Bplus2Dstarl_Tau':</span> <span class="pre">'olivedrab',</span> <span class="pre">'MC_Bs2Dstarl_Ds':</span> <span class="pre">'cyan',</span> <span class="pre">'comb':</span> <span class="pre">'grey',</span> <span class="pre">'data':</span> <span class="pre">'b',</span> <span class="pre">'multiple_cat_data':</span> <span class="pre">'saddlebrown',</span> <span class="pre">'multiple_comb':</span> <span class="pre">'brown',</span> <span class="pre">'multiple_data':</span> <span class="pre">'saddlebrown',</span> <span class="pre">'multiple_non_cat_data':</span> <span class="pre">'m',</span> <span class="pre">'multiple_non_opt_cat_data':</span> <span class="pre">'chocolate',</span> <span class="pre">'multiple_opt_cat_data':</span> <span class="pre">'steelblue',</span> <span class="pre">'single_comb':</span> <span class="pre">'darkblue',</span> <span class="pre">'single_data':</span> <span class="pre">'purple'}</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.DICT_SAMPLE_COLORS" title="Permalink to this definition"></a></dt>
<dd><p>Associates a sample name with a colour</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.DICT_SAMPLE_LABELS">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.</span></span><span class="sig-name descname"><span class="pre">DICT_SAMPLE_LABELS</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{'MC_B02Dstarl':</span> <span class="pre">'$B^{0}</span> <span class="pre">\\to</span> <span class="pre">D^{*}</span> <span class="pre">\\ell</span> <span class="pre">\\nu_{\\ell}$</span> <span class="pre">signal</span> <span class="pre">MC',</span> <span class="pre">'MC_B02Dstarl_Cocktail':</span> <span class="pre">'$B^{0}</span> <span class="pre">\\to</span> <span class="pre">D^{**}</span> <span class="pre">\\ell</span> <span class="pre">\\nu_{\\ell}$</span> <span class="pre">cocktail</span> <span class="pre">MC',</span> <span class="pre">'MC_B02Dstarl_DoubleCharm':</span> <span class="pre">'$B^{0}</span> <span class="pre">\\to</span> <span class="pre">D^{*}</span>&#160; <span class="pre">D\\left(\\to</span> <span class="pre">\\ell</span> <span class="pre">\\nu_{\\ell}\\right)X$</span> <span class="pre">cocktail</span> <span class="pre">MC',</span> <span class="pre">'MC_B02Dstarl_HigherCocktail':</span> <span class="pre">'$B^{0}</span> <span class="pre">\\to</span> <span class="pre">D^{***}\\ell</span> <span class="pre">\\nu_{\\ell}$</span> <span class="pre">cocktail</span> <span class="pre">MC',</span> <span class="pre">'MC_B02Dstarl_Tau':</span> <span class="pre">'$B^{0}</span> <span class="pre">\\to</span> <span class="pre">D^{*}</span> <span class="pre">D_s</span> <span class="pre">\\left(\\to\\tau^{+}</span> <span class="pre">\\nu_{\\tau}\\right)</span> <span class="pre">X$</span> <span class="pre">cocktail</span> <span class="pre">MC',</span> <span class="pre">'MC_Bplus2Dstarl_Cocktail':</span> <span class="pre">'$B^{+}</span> <span class="pre">\\to</span> <span class="pre">D^{*}</span> <span class="pre">D\\left(\\to</span> <span class="pre">\\ell</span> <span class="pre">\\nu_{\\ell}\\right)X$',</span> <span class="pre">'MC_Bplus2Dstarl_DoubleCharm':</span> <span class="pre">'$B^{+}</span> <span class="pre">\\to</span> <span class="pre">D^{*}</span> <span class="pre">D\\left(\\to</span> <span class="pre">\\ell</span> <span class="pre">\\nu_{\\ell}\\right)X$</span> <span class="pre">cocktail</span> <span class="pre">MC',</span> <span class="pre">'MC_Bplus2Dstarl_HigherCocktail':</span> <span class="pre">'$B^{+}</span> <span class="pre">\\to</span> <span class="pre">D^{***}\\ell</span> <span class="pre">\\nu_{\\ell}$</span> <span class="pre">cocktail</span> <span class="pre">MC',</span> <span class="pre">'MC_Bplus2Dstarl_Tau':</span> <span class="pre">'$B^{+}</span> <span class="pre">\\to</span> <span class="pre">D^{*}D_s</span> <span class="pre">\\left(\\to</span> <span class="pre">\\tau</span> <span class="pre">\\nu_{\\tau}\\right)X$',</span> <span class="pre">'MC_Bs2Dstarl_Ds':</span> <span class="pre">'$B^{0}_s</span> <span class="pre">\\to</span> <span class="pre">D^{**}_s</span> <span class="pre">\\ell</span> <span class="pre">\\nu_{\\ell}$',</span> <span class="pre">'comb':</span> <span class="pre">'Combinatorial</span> <span class="pre">WS</span> <span class="pre">$D^{*}$</span> <span class="pre">data',</span> <span class="pre">'data':</span> <span class="pre">'Data',</span> <span class="pre">'multiple_cat_data':</span> <span class="pre">'Multiple</span> <span class="pre">candidates</span> <span class="pre">with</span> <span class="pre">same</span> <span class="pre">$\\left(D^{0},</span> <span class="pre">\\ell\\right)$</span> <span class="pre">in</span> <span class="pre">data',</span> <span class="pre">'multiple_comb':</span> <span class="pre">'Multiple</span> <span class="pre">candidates</span> <span class="pre">in</span> <span class="pre">WS</span> <span class="pre">data',</span> <span class="pre">'multiple_data':</span> <span class="pre">'Multiple</span> <span class="pre">candidates</span> <span class="pre">in</span> <span class="pre">data',</span> <span class="pre">'multiple_non_cat_data':</span> <span class="pre">'Other</span> <span class="pre">multiple</span> <span class="pre">candidates</span> <span class="pre">in</span> <span class="pre">data',</span> <span class="pre">'multiple_non_opt_cat_data':</span> <span class="pre">'Worst</span> <span class="pre">multiple</span> <span class="pre">candidates</span> <span class="pre">with</span> <span class="pre">same</span> <span class="pre">$\\left(D^{0},</span> <span class="pre">\\ell\\right)$</span> <span class="pre">in</span> <span class="pre">data',</span> <span class="pre">'multiple_opt_cat_data':</span> <span class="pre">'Best</span> <span class="pre">multiple</span> <span class="pre">candidates</span> <span class="pre">with</span> <span class="pre">same</span> <span class="pre">$\\left(D^{0},</span> <span class="pre">\\ell\\right)$</span> <span class="pre">in</span> <span class="pre">data',</span> <span class="pre">'single_comb':</span> <span class="pre">'Single</span> <span class="pre">candidates</span> <span class="pre">in</span> <span class="pre">WS</span> <span class="pre">data',</span> <span class="pre">'single_data':</span> <span class="pre">'Single</span> <span class="pre">candidates</span> <span class="pre">in</span> <span class="pre">data'}</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.DICT_SAMPLE_LABELS" title="Permalink to this definition"></a></dt>
<dd><p>Associates a sample name with a label</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.dict_optimised_columns">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.</span></span><span class="sig-name descname"><span class="pre">dict_optimised_columns</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{}</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.dict_optimised_columns" title="Permalink to this definition"></a></dt>
<dd><p>Associates a column with <cite>max</cite> or <cite>min</cite>, according to whether the best
candidate maximises or minimises such the column.</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.dict_plot_sample_configurations">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.</span></span><span class="sig-name descname"><span class="pre">dict_plot_sample_configurations</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{'data_vs_all_MC':</span> <span class="pre">{'list_sample_types':</span> <span class="pre">['data',</span> <span class="pre">'comb',</span> <span class="pre">'MC_B02Dstarl',</span> <span class="pre">'MC_B02Dstarl_Cocktail',</span> <span class="pre">'MC_B02Dstarl_DoubleCharm',</span> <span class="pre">'MC_B02Dstarl_HigherCocktail',</span> <span class="pre">'MC_B02Dstarl_Tau',</span> <span class="pre">'MC_Bplus2Dstarl_Cocktail',</span> <span class="pre">'MC_Bplus2Dstarl_DoubleCharm',</span> <span class="pre">'MC_Bplus2Dstarl_HigherCocktail',</span> <span class="pre">'MC_Bplus2Dstarl_Tau',</span> <span class="pre">'MC_Bs2Dstarl_Ds'],</span> <span class="pre">'plots':</span> <span class="pre">{None:</span> <span class="pre">{'bins':</span> <span class="pre">20,</span> <span class="pre">'list_columns':</span> <span class="pre">[['FitVar_Mmiss2',</span> <span class="pre">'FitVar_El',</span> <span class="pre">'FitVar_q2'],</span> <span class="pre">['B_PT',</span> <span class="pre">'lab5_PT'],</span> <span class="pre">['B_ETA',</span> <span class="pre">'lab5_ETA'],</span> <span class="pre">['lab1_ENDVERTEX_CHI2NDOF'],</span> <span class="pre">['lab5_ProbNNpi',</span> <span class="pre">'lab5_TRACK_GhostProb',</span> <span class="pre">'lab5_ProbNNghost']],</span> <span class="pre">'list_samples':</span> <span class="pre">['multiple_cat_data',</span> <span class="pre">'MC_B02Dstarl',</span> <span class="pre">'MC_B02Dstarl_Cocktail',</span> <span class="pre">'MC_B02Dstarl_DoubleCharm',</span> <span class="pre">'MC_B02Dstarl_HigherCocktail',</span> <span class="pre">'MC_B02Dstarl_Tau',</span> <span class="pre">'MC_Bplus2Dstarl_Cocktail',</span> <span class="pre">'MC_Bplus2Dstarl_DoubleCharm',</span> <span class="pre">'MC_Bplus2Dstarl_HigherCocktail',</span> <span class="pre">'MC_Bplus2Dstarl_Tau',</span> <span class="pre">'MC_Bs2Dstarl_Ds',</span> <span class="pre">'comb']}}},</span> <span class="pre">'data_vs_comb':</span> <span class="pre">{'list_sample_types':</span> <span class="pre">['data',</span> <span class="pre">'comb'],</span> <span class="pre">'plots':</span> <span class="pre">{'multiple_cat_data_vs_comb_single_data':</span> <span class="pre">{'bins':</span> <span class="pre">20,</span> <span class="pre">'factor_ymax':</span> <span class="pre">1.5,</span> <span class="pre">'list_columns':</span> <span class="pre">['lab5_ProbNNpi',</span> <span class="pre">'lab5_TRACK_GhostProb',</span> <span class="pre">'lab5_ProbNNghost',</span> <span class="pre">'lab1_ENDVERTEX_CHI2NDOF',</span> <span class="pre">'log|lab5_IPCHI2_OWNPV',</span> <span class="pre">'FitVar_Mmiss2',</span> <span class="pre">'FitVar_El',</span> <span class="pre">'FitVar_q2',</span> <span class="pre">'B_PT',</span> <span class="pre">'lab5_PT',</span> <span class="pre">'B_ETA',</span> <span class="pre">'lab5_ETA'],</span> <span class="pre">'list_samples':</span> <span class="pre">['single_data',</span> <span class="pre">'comb',</span> <span class="pre">'multiple_cat_data',</span> <span class="pre">'multiple_non_cat_data']},</span> <span class="pre">'multiple_cat_data_vs_multiple_comb_single_data':</span> <span class="pre">{'bins':</span> <span class="pre">12,</span> <span class="pre">'factor_ymax':</span> <span class="pre">1.5,</span> <span class="pre">'list_columns':</span> <span class="pre">['lab5_ProbNNpi',</span> <span class="pre">'lab5_TRACK_GhostProb',</span> <span class="pre">'lab5_ProbNNghost',</span> <span class="pre">'lab1_ENDVERTEX_CHI2NDOF',</span> <span class="pre">'log|lab5_IPCHI2_OWNPV',</span> <span class="pre">'FitVar_Mmiss2',</span> <span class="pre">'FitVar_El',</span> <span class="pre">'FitVar_q2',</span> <span class="pre">'B_PT',</span> <span class="pre">'lab5_PT',</span> <span class="pre">'B_ETA',</span> <span class="pre">'lab5_ETA'],</span> <span class="pre">'list_samples':</span> <span class="pre">['single_data',</span> <span class="pre">'multiple_comb',</span> <span class="pre">'single_comb',</span> <span class="pre">'multiple_cat_data']},</span> <span class="pre">'multiple_opt_cat_data_vs_comb_single_data':</span> <span class="pre">{'bins':</span> <span class="pre">20,</span> <span class="pre">'factor_ymax':</span> <span class="pre">1.5,</span> <span class="pre">'list_columns':</span> <span class="pre">['lab5_ProbNNpi',</span> <span class="pre">'lab5_TRACK_GhostProb',</span> <span class="pre">'lab5_ProbNNghost',</span> <span class="pre">'lab1_ENDVERTEX_CHI2NDOF',</span> <span class="pre">'log|lab5_IPCHI2_OWNPV',</span> <span class="pre">'FitVar_Mmiss2',</span> <span class="pre">'FitVar_El',</span> <span class="pre">'FitVar_q2',</span> <span class="pre">'B_PT',</span> <span class="pre">'lab5_PT',</span> <span class="pre">'B_ETA',</span> <span class="pre">'lab5_ETA'],</span> <span class="pre">'list_samples':</span> <span class="pre">['single_data',</span> <span class="pre">'comb',</span> <span class="pre">'multiple_opt_cat_data',</span> <span class="pre">'multiple_non_opt_cat_data']}}},</span> <span class="pre">'data_vs_higher_MC':</span> <span class="pre">{'image_subdir':</span> <span class="pre">'data_vs_MC_B02Dstarl_HigherCocktail',</span> <span class="pre">'list_sample_types':</span> <span class="pre">['MC_B02Dstarl_HigherCocktail',</span> <span class="pre">'data'],</span> <span class="pre">'plots':</span> <span class="pre">{None:</span> <span class="pre">{'bins':</span> <span class="pre">20,</span> <span class="pre">'factor_ymax':</span> <span class="pre">1.5,</span> <span class="pre">'list_columns':</span> <span class="pre">['lab5_ProbNNpi',</span> <span class="pre">'lab5_TRACK_GhostProb',</span> <span class="pre">'lab5_ProbNNghost',</span> <span class="pre">'lab1_ENDVERTEX_CHI2NDOF',</span> <span class="pre">'log|lab5_IPCHI2_OWNPV',</span> <span class="pre">'FitVar_Mmiss2',</span> <span class="pre">'FitVar_El',</span> <span class="pre">'FitVar_q2',</span> <span class="pre">'B_PT',</span> <span class="pre">'lab5_PT',</span> <span class="pre">'B_ETA',</span> <span class="pre">'lab5_ETA'],</span> <span class="pre">'list_samples':</span> <span class="pre">['single_data',</span> <span class="pre">'MC_B02Dstarl_HigherCocktail',</span> <span class="pre">'multiple_cat_data',</span> <span class="pre">'multiple_non_cat_data'],</span> <span class="pre">'one_fig':</span> <span class="pre">False}}}}</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.dict_plot_sample_configurations" title="Permalink to this definition"></a></dt>
<dd><p>Associates a name of plot configuration with another dictionnary with
the following key-value couples:</p>
<ul class="simple">
<li><p><cite>list_samples</cite>: list of the samples to plot</p></li>
<li><p><cite>list_columns</cite>: list of the columns to plot</p></li>
</ul>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.image_dir_wildcards">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.</span></span><span class="sig-name descname"><span class="pre">image_dir_wildcards</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'{outdir}/plots/multiple_candidates/compare_multiple_candidates'</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.image_dir_wildcards" title="Permalink to this definition"></a></dt>
<dd><p>Path to the directory where the images are saved, with wildcards</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.json_path_wildcards">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.</span></span><span class="sig-name descname"><span class="pre">json_path_wildcards</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'{outdir}/json/multiple_candidates/compare_multiple_candidates/multiple_cat_data_ratio_{flavour}.json'</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.config.json_path_wildcards" title="Permalink to this definition"></a></dt>
<dd><p>JSON path with wildcards</p>
</dd></dl>

</div>
<div class="section" id="module-scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.run">
<span id="scripts-multiple-candidates-scripts-ana-c-compare-multiple-candidates-run-module"></span><h2>scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.run module<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.run" title="Permalink to this heading"></a></h2>
<p>Compare multiple candidates with single/multiple candidates in data
and MC or WS data, by plotting them in several columns.</p>
<p>To run this script</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">python</span> <span class="n">c_compare_multiple_candidates</span><span class="o">/</span><span class="n">run</span><span class="o">.</span><span class="n">py</span> <span class="o">-</span><span class="n">f</span> <span class="p">{</span><span class="n">flavour</span><span class="p">}</span> <span class="o">-</span><span class="n">c</span> <span class="p">{</span><span class="n">config_name</span><span class="p">}</span>
</pre></div>
</div>
<p>The configurations are defined in <code class="docutils literal notranslate"><span class="pre">config.py</span></code> in the dictionnary
<code class="docutils literal notranslate"><span class="pre">dict_plot_sample_configurations</span></code>, and they define</p>
<ul class="simple">
<li><p>the samples to load</p></li>
<li><p>what to plot</p></li>
</ul>
<p>The paths are defined in <cite>definition/paths.py</cite> but they can be changed, by
using the arguments <code class="docutils literal notranslate"><span class="pre">-i</span> <span class="pre">{indir}</span></code> and <code class="docutils literal notranslate"><span class="pre">-o</span> <span class="pre">{outdir}</span></code>, where</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">indir</span></code> is the path of the folder where the ROOT files are located</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">outdir</span></code> is the path of the folder where all the outputs are located</p></li>
</ul>
</div>
</div>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.html" class="btn btn-neutral float-left" title="scripts.multiple_candidates.scripts_ana.b_find_shared_particles package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="scripts.multiple_candidates.scripts_select.html" class="btn btn-neutral float-right" title="scripts.multiple_candidates.scripts_select package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>